#!/bin/bash

np=20;

for a in `seq 4.1 0.1 5.0`; do
    mpirun -np ${np} meep empty?=true a=${a} emitter.ctl > flux0_a${a}.out;
    grep flux1: flux0_a${a}.out |cut -d , -f2- > flux0_a${a}.dat;
    for r_frac in `seq 0.1 0.1 0.4`; do
        r=$(printf "%0.2f" `echo "${a}*${r_frac}" |bc`);           
	mpirun -np ${np} meep empty?=false a=${a} r=${r} emitter.ctl > flux_a${a}_r${r}.out;
        grep flux1: flux_a${a}_r${r}.out |cut -d , -f2- > flux_a${a}_r${r}.dat;
    done;
done;
